Bug 209584 - security/py-letsencrypt: Failed: run-depends
Summary: security/py-letsencrypt: Failed: run-depends
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-17 18:04 UTC by Grzegorz Junka
Modified: 2016-06-24 21:13 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Junka 2016-05-17 18:04:07 UTC
=======================<phase: run-depends    >============================
===>   py27-letsencrypt-0.5.0 depends on package: py27-acme==0.5.0 - not found
===>   Installing existing package /packages/All/py27-acme-0.5.0,1.txz
[10rel3amd64-local-nox-job-02] Installing py27-acme-0.5.0,1...
[10rel3amd64-local-nox-job-02] `-- Installing py27-idna-2.0...
[10rel3amd64-local-nox-job-02] `-- Extracting py27-idna-2.0: .......... done
[10rel3amd64-local-nox-job-02] `-- Installing py27-openssl-16.0.0...
[10rel3amd64-local-nox-job-02] |   `-- Installing py27-six-1.10.0...
[10rel3amd64-local-nox-job-02] |   `-- Extracting py27-six-1.10.0: .......... done
[10rel3amd64-local-nox-job-02] |   `-- Installing py27-cryptography-1.3.1...
[10rel3amd64-local-nox-job-02] |   | `-- Installing py27-enum34-1.0.4...
[10rel3amd64-local-nox-job-02] |   | `-- Extracting py27-enum34-1.0.4: .......... done
[10rel3amd64-local-nox-job-02] |   | `-- Installing py27-cffi-1.5.0...
[10rel3amd64-local-nox-job-02] |   |   `-- Installing py27-pycparser-2.10...
[10rel3amd64-local-nox-job-02] |   |   `-- Extracting py27-pycparser-2.10: .......... done
[10rel3amd64-local-nox-job-02] |   | `-- Extracting py27-cffi-1.5.0: .......... done
[10rel3amd64-local-nox-job-02] |   | `-- Installing py27-pyasn1-0.1.9...
[10rel3amd64-local-nox-job-02] |   | `-- Extracting py27-pyasn1-0.1.9: .......... done
[10rel3amd64-local-nox-job-02] |   | `-- Installing py27-ipaddress-1.0.16...
[10rel3amd64-local-nox-job-02] |   | `-- Extracting py27-ipaddress-1.0.16: .......... done
[10rel3amd64-local-nox-job-02] |   `-- Extracting py27-cryptography-1.3.1: .......... done
[10rel3amd64-local-nox-job-02] `-- Extracting py27-openssl-16.0.0: .......... done
[10rel3amd64-local-nox-job-02] `-- Installing py27-requests-2.9.1...
[10rel3amd64-local-nox-job-02] `-- Extracting py27-requests-2.9.1: .......... done
[10rel3amd64-local-nox-job-02] `-- Installing py27-werkzeug-0.11.9...
[10rel3amd64-local-nox-job-02] `-- Extracting py27-werkzeug-0.11.9: .......... done
[10rel3amd64-local-nox-job-02] `-- Installing py27-ndg_httpsclient-0.4.0_2...
[10rel3amd64-local-nox-job-02] `-- Extracting py27-ndg_httpsclient-0.4.0_2: .......... done
[10rel3amd64-local-nox-job-02] `-- Installing py27-pyrfc3339-1.0...
[10rel3amd64-local-nox-job-02] |   `-- Installing py27-pytz-2016.4,1...
[10rel3amd64-local-nox-job-02] |   `-- Extracting py27-pytz-2016.4,1: .......... done
[10rel3amd64-local-nox-job-02] `-- Extracting py27-pyrfc3339-1.0: .......... done
[10rel3amd64-local-nox-job-02] Extracting py27-acme-0.5.0,1: .......... done
===>   py27-letsencrypt-0.5.0 depends on package: py27-acme==0.5.0 - not found
*** Error code 1

Stop.
make: stopped in /usr/ports/security/py-letsencrypt
====>> Cleaning up wrkdir
===>  Cleaning for py27-letsencrypt-0.5.0
build of security/py-letsencrypt ended at Tue May 17 15:17:53 UTC 2016
build time: 00:00:05
!!! build failure encountered !!!
Comment 1 commit-hook freebsd_committer 2016-06-23 10:23:23 UTC
A commit references this bug:

Author: brnrd
Date: Thu Jun 23 10:22:35 UTC 2016
New revision: 417359
URL: https://svnweb.freebsd.org/changeset/ports/417359

Log:
  security/py-certbot: Rename from py-letsencrypt and update

    - Move security/py-letsencrypt to security/py-certbot
    - Update security/py-acme to 0.8.1
    - Update security/py-certbot to 0.8.1
    - Update python dependencies

  PR:		209584

Changes:
  head/MOVED
  head/security/Makefile
  head/security/py-acme/Makefile
  head/security/py-acme/distinfo
  head/security/py-certbot/
  head/security/py-certbot/Makefile
  head/security/py-certbot/distinfo
  head/security/py-letsencrypt/
Comment 2 Bernard Spil freebsd_committer 2016-06-23 10:24:18 UTC
Port has been moved to py-certbot and updated to 0.8.1

Can you please verify that it's OK now?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-23 11:08:13 UTC
Assign to committer that is resolving
Comment 4 Matthias Fechner freebsd_committer 2016-06-24 16:36:24 UTC
I tested it and it works fine.
One suggestion is modifying the text that is displayed after the installation:

---
To obtain certificates, use the 'certonly' command as follows:

 # sudo letsencrypt --server <server-URL> certonly
---

should be:
---
To obtain certificates, use the 'certonly' command as follows:

 # sudo certbot --server <server-URL> certonly
---


Thanks.
Matthias